summaryrefslogtreecommitdiff
path: root/.local/bin/newsup
diff options
context:
space:
mode:
Diffstat (limited to '.local/bin/newsup')
-rwxr-xr-x.local/bin/newsup15
1 files changed, 15 insertions, 0 deletions
diff --git a/.local/bin/newsup b/.local/bin/newsup
new file mode 100755
index 0000000..2f47b6f
--- /dev/null
+++ b/.local/bin/newsup
@@ -0,0 +1,15 @@
+#!/bin/sh
+# Set as a cron job to check for new RSS entries for newsboat.
+# If newsboat is open, sends it an "R" key to refresh.
+
+ping -q -c 1 1.1.1.1 > /dev/null || exit
+
+/usr/bin/notify-send -t 1 -i "$HOME/.fonts/svg/rss.svg" -a RSS "Updating RSS feeds..."
+
+pgrep -x newsboat >/dev/null && /usr/bin/xdotool key --window "$(/usr/bin/xdotool search --name newsboat)" R && exit
+
+echo "" > /tmp/newsupdate && dwmbar
+pkill -RTMIN+6 i3blocks
+/usr/bin/newsboat -x reload
+rm -f /tmp/newsupdate
+/usr/bin/notify-send -t 1 -i "$HOME/.fonts/svg/rss.svg" -a RSS "RSS feed update complete." && dwmbar